hpp-corbaserver: _objref_Obstacle Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_Obstacle Class Reference

`#include <hpp/corbaserver/obstacle-idl.hh>`

Inheritance diagram for _objref_Obstacle:
[legend]
Collaboration diagram for _objref_Obstacle:
[legend]

## Public Member Functions
void | loadObstacleModel (const char *filename, const char *prefix)
void | loadPolyhedron (const char *obstacleName, const char *filename)
void | loadObstacleModelFromString (const char *urdfString, const char *prefix)
void | loadPointCloudFromFilename (const char *objectName, const char *filename)
void | loadPointCloudFromPoints (const char *objectName, ::CORBA::Double resolution, const ::hpp::floatSeqSeq &points)
void | removeObstacle (const char *objectName)
void | removeObstacleFromJoint (const char *objectName, const char *jointName, ::CORBA::Boolean collision, ::CORBA::Boolean distance)
void | cutObstacle (const char *objectName, const ::hpp::floatSeq &aabb)
void | addObstacle (const char *objectName, ::CORBA::Boolean collision, ::CORBA::Boolean distance)
void | moveObstacle (const char *objectName, const ::hpp::Transform_ cfg)
void | getObstaclePosition (const char *objectName, ::hpp::Transform_ cfg)
Names_t * | getObstacleNames (::CORBA::Boolean collision, ::CORBA::Boolean distance)
void | createPolyhedron (const char *polyName)
void | createBox (const char *inBoxName, ::CORBA::Double x, ::CORBA::Double y, ::CORBA::Double z)
void | createSphere (const char *name, ::CORBA::Double radius)
void | createCylinder (const char *name, ::CORBA::Double radius, ::CORBA::Double length)
::CORBA::ULong | addPoint (const char *polyName, ::CORBA::Double x, ::CORBA::Double y, ::CORBA::Double z)
::CORBA::ULong | addTriangle (const char *polyName, ::CORBA::ULong pt1, ::CORBA::ULong pt2, ::CORBA::ULong pt3)
| _objref_Obstacle ()
| _objref_Obstacle (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_Obstacle ()

## Friends
class | Obstacle

## Constructor & Destructor Documentation

## ◆ _objref_Obstacle() [1/2]

_objref_Obstacle::_objref_Obstacle | ( |  | ) |
| inline

## ◆ _objref_Obstacle() [2/2]

_objref_Obstacle::_objref_Obstacle | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_Obstacle()

virtual _objref_Obstacle::~_objref_Obstacle | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ addObstacle()

void _objref_Obstacle::addObstacle | ( | const char * | objectName,
|  | ::CORBA::Boolean | collision,
|  | ::CORBA::Boolean | distance
| ) |  |

## ◆ addPoint()

::CORBA::ULong _objref_Obstacle::addPoint | ( | const char * | polyName,
|  | ::CORBA::Double | x,
|  | ::CORBA::Double | y,
|  | ::CORBA::Double | z
| ) |  |

## ◆ addTriangle()

::CORBA::ULong _objref_Obstacle::addTriangle | ( | const char * | polyName,
|  | ::CORBA::ULong | pt1,
|  | ::CORBA::ULong | pt2,
|  | ::CORBA::ULong | pt3
| ) |  |

## ◆ createBox()

void _objref_Obstacle::createBox | ( | const char * | inBoxName,
|  | ::CORBA::Double | x,
|  | ::CORBA::Double | y,
|  | ::CORBA::Double | z
| ) |  |

## ◆ createCylinder()

void _objref_Obstacle::createCylinder | ( | const char * | name,
|  | ::CORBA::Double | radius,
|  | ::CORBA::Double | length
| ) |  |

## ◆ createPolyhedron()

void _objref_Obstacle::createPolyhedron | ( | const char * | polyName | ) |

## ◆ createSphere()

void _objref_Obstacle::createSphere | ( | const char * | name,
|  | ::CORBA::Double | radius
| ) |  |

## ◆ cutObstacle()

void _objref_Obstacle::cutObstacle | ( | const char * | objectName,
|  | const ::hpp::floatSeq & | aabb
| ) |  |

## ◆ getObstacleNames()

Names_t* _objref_Obstacle::getObstacleNames | ( | ::CORBA::Boolean | collision,
|  | ::CORBA::Boolean | distance
| ) |  |

## ◆ getObstaclePosition()

void _objref_Obstacle::getObstaclePosition | ( | const char * | objectName,
|  | ::hpp::Transform_ | cfg
| ) |  |

## ◆ loadObstacleModel()

void _objref_Obstacle::loadObstacleModel | ( | const char * | filename,
|  | const char * | prefix
| ) |  |

## ◆ loadObstacleModelFromString()

void _objref_Obstacle::loadObstacleModelFromString | ( | const char * | urdfString,
|  | const char * | prefix
| ) |  |

## ◆ loadPointCloudFromFilename()

void _objref_Obstacle::loadPointCloudFromFilename | ( | const char * | objectName,
|  | const char * | filename
| ) |  |

## ◆ loadPointCloudFromPoints()

void _objref_Obstacle::loadPointCloudFromPoints | ( | const char * | objectName,
|  | ::CORBA::Double | resolution,
|  | const ::hpp::floatSeqSeq & | points
| ) |  |

## ◆ loadPolyhedron()

void _objref_Obstacle::loadPolyhedron | ( | const char * | obstacleName,
|  | const char * | filename
| ) |  |

## ◆ moveObstacle()

void _objref_Obstacle::moveObstacle | ( | const char * | objectName,
|  | const ::hpp::Transform_ | cfg
| ) |  |

## ◆ removeObstacle()

void _objref_Obstacle::removeObstacle | ( | const char * | objectName | ) |

## ◆ removeObstacleFromJoint()

void _objref_Obstacle::removeObstacleFromJoint | ( | const char * | objectName,
|  | const char * | jointName,
|  | ::CORBA::Boolean | collision,
|  | ::CORBA::Boolean | distance
| ) |  |

## Friends And Related Function Documentation

## ◆ Obstacle

friend class Obstacle
| friend

The documentation for this class was generated from the following file:

- src/hpp/corbaserver/obstacle-idl.hh